{% extends "HTMLfiles/home.html" %}
{% load static %}

{% block content %}

<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script>
function CheckAnswer(buttonPick) {
    const main = document.createElement("div");
    main.setAttribute("id", "Main");

    const window = document.createElement("div");

    if (buttonPick.firstChild.nodeValue == "{{ answerTrue }}") {
        window.setAttribute("id", "Vrai");
        window.setAttribute("style", "background-color: #64d064;position: fixed;top: 570px;margin-top: -500px;margin-left: 130px;padding-bottom: 220px;padding-top: 150px;border: 1px solid #888;width: 80%;");
        window.innerHTML += '<p> Votre réponse est juste, vous gagnez 3 points. </p>' ;
        $.get("user/up/" + {{ identifiant }} + "/3");
    } else {
        window.setAttribute("id", "Faux");
        window.setAttribute("style", "background-color: red;position: fixed;top: 570px;margin-top: -500px;margin-left: 130px;padding-bottom: 220px;padding-top: 150px;border: 1px solid #888;width: 80%;");
        window.innerHTML += '<p> Votre réponse est fausse, vous perdez 3 points, la bonne réponse était : {{ answerTrue }} </p>' ;
        $.get("user/down/" + {{ identifiant }} + "/3");
    }

    window.innerHTML += '<p> Définition : </p>';
    window.innerHTML += '<p> {{ description }} </p>';
    window.innerHTML += '<a href="http://127.0.0.1:8000/organelleQuizz/"><button id="next" type="button">Next</button></a>';

    main.appendChild(window);

    const quizz = document.getElementById("content");
    document.body.insertBefore(main, quizz);
}
</script>


<br><br><br><br>

<div id="gridImage" style="text-align: center;">
    {% for image in pictures %}
    <img id="photo" src="{% static image %}" style="height: 300px;width: 300px;">
    {% endfor %}
</div>

<br>

<p style="font-size: 25px;text-align: center;">{{ quest }}</p>

<br>

<div id="gridAnswers" style="text-align: center;">
    {% for rep in answers %}
    <button id="{{ rep.answer }}" type="button" onclick="CheckAnswer(this)" style="height: 40px;width: auto;">{{ rep.answer }}</button>
    {% endfor %}
</div>




{% endblock %}
